> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kodostatus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get SSL Monitor

> Retrieve details of a specific SSL certificate monitor including certificate information

## Path Parameters

<ParamField path="id" type="string" required>
  The unique identifier of the SSL monitor
</ParamField>

## Response

<ResponseField name="id" type="string">
  Unique identifier for the SSL monitor
</ResponseField>

<ResponseField name="domain" type="string">
  Domain being monitored
</ResponseField>

<ResponseField name="port" type="number">
  Port being checked
</ResponseField>

<ResponseField name="alert_days" type="number">
  Days before expiration to trigger alerts
</ResponseField>

<ResponseField name="enabled" type="boolean">
  Whether monitoring is active
</ResponseField>

<ResponseField name="certificate" type="object">
  Detailed certificate information

  <Expandable title="Certificate Details">
    <ResponseField name="issuer" type="string">Certificate Authority name</ResponseField>
    <ResponseField name="subject" type="string">Certificate subject (domain)</ResponseField>
    <ResponseField name="valid_from" type="string">Certificate validity start date</ResponseField>
    <ResponseField name="valid_to" type="string">Certificate expiration date</ResponseField>
    <ResponseField name="days_until_expiry" type="number">Days until expiration</ResponseField>
    <ResponseField name="is_valid" type="boolean">Whether certificate is currently valid</ResponseField>
    <ResponseField name="serial_number" type="string">Certificate serial number</ResponseField>
    <ResponseField name="fingerprint" type="string">Certificate SHA-256 fingerprint</ResponseField>
    <ResponseField name="san" type="array">Subject Alternative Names</ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="check_history" type="array">
  Recent check results (last 30 days)
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://kodostatus.com/api/v1/ssl-monitors/ssl_abc123" \
    -H "X-API-Key: your_api_key"
  ```

  ```javascript Node.js theme={null}
  const response = await fetch('https://kodostatus.com/api/v1/ssl-monitors/ssl_abc123', {
    headers: { 'X-API-Key': 'your_api_key' }
  });
  const ssl_monitor = await response.json();
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "id": "ssl_abc123",
    "domain": "api.example.com",
    "port": 443,
    "alert_days": 30,
    "enabled": true,
    "last_checked_at": "2024-01-15T10:30:00Z",
    "certificate": {
      "issuer": "Let's Encrypt Authority X3",
      "subject": "api.example.com",
      "valid_from": "2024-01-01T00:00:00Z",
      "valid_to": "2024-04-01T00:00:00Z",
      "days_until_expiry": 76,
      "is_valid": true,
      "serial_number": "03:a1:b2:c3:d4:e5:f6",
      "fingerprint": "SHA256:abc123...",
      "san": ["api.example.com", "*.example.com"]
    },
    "check_history": [
      {
        "checked_at": "2024-01-15T10:30:00Z",
        "days_until_expiry": 76,
        "is_valid": true
      }
    ],
    "service_id": "svc_xyz789",
    "created_at": "2024-01-01T00:00:00Z"
  }
  ```
</ResponseExample>
